Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIEditor

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.AbstractEditor
                          org.richfaces.component.UIEditor

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.1.0.20110910-M2"})
    public class UIEditor

extends AbstractEditor
implements javax.faces.component.behavior.ClientBehaviorHolder

Author:
  Lukas Fryc

Nested Class Summary
`protected static class` | `UIEditor.Properties`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIEditor()`

Method Summary
`javax.faces.component.UIComponent` | `getConfig()`
`java.lang.String` | `getDefaultEventName()`
`java.util.Collection<java.lang.String>` | `getEventNames()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getLang()`
`java.lang.String` | `getOnblur()`
`java.lang.String` | `getOnchange()`
`java.lang.String` | `getOndirty()`
`java.lang.String` | `getOnfocus()`
`java.lang.String` | `getOninit()`
`java.lang.String` | `getSkin()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getToolbar()`
`java.lang.String` | `getWidth()`
`boolean` | `isReadonly()`
`void` | `setConfig(javax.faces.component.UIComponent config)`
`void` | `setHeight(java.lang.String height)`
`void` | `setLang(java.lang.String lang)`
`void` | `setOnblur(java.lang.String onblur)`
`void` | `setOnchange(java.lang.String onchange)`
`void` | `setOndirty(java.lang.String ondirty)`
`void` | `setOnfocus(java.lang.String onfocus)`
`void` | `setOninit(java.lang.String oninit)`
`void` | `setReadonly(boolean readonly)`
`void` | `setSkin(java.lang.String skin)`
`void` | `setStyle(java.lang.String style)`
`void` | `setStyleClass(java.lang.String styleClass)`
`void` | `setTitle(java.lang.String title)`
`void` | `setToolbar(java.lang.String toolbar)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIEditor

    public UIEditor()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### getEventNames

    public java.util.Collection<java.lang.String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public java.lang.String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getConfig

    public javax.faces.component.UIComponent getConfig()

  Specified by:
    `getConfig` in class `AbstractEditor`

### setConfig

    public void setConfig(javax.faces.component.UIComponent config)

### getHeight

    public java.lang.String getHeight()

  Specified by:
    `getHeight` in class `AbstractEditor`

### setHeight

    public void setHeight(java.lang.String height)

### getLang

    public java.lang.String getLang()

  Specified by:
    `getLang` in class `AbstractEditor`

### setLang

    public void setLang(java.lang.String lang)

### getOnblur

    public java.lang.String getOnblur()

  Specified by:
    `getOnblur` in class `AbstractEditor`

### setOnblur

    public void setOnblur(java.lang.String onblur)

### getOnchange

    public java.lang.String getOnchange()

  Specified by:
    `getOnchange` in class `AbstractEditor`

### setOnchange

    public void setOnchange(java.lang.String onchange)

### getOndirty

    public java.lang.String getOndirty()

  Specified by:
    `getOndirty` in class `AbstractEditor`

### setOndirty

    public void setOndirty(java.lang.String ondirty)

### getOnfocus

    public java.lang.String getOnfocus()

  Specified by:
    `getOnfocus` in class `AbstractEditor`

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### getOninit

    public java.lang.String getOninit()

  Specified by:
    `getOninit` in class `AbstractEditor`

### setOninit

    public void setOninit(java.lang.String oninit)

### isReadonly

    public boolean isReadonly()

  Specified by:
    `isReadonly` in class `AbstractEditor`

### setReadonly

    public void setReadonly(boolean readonly)

### getSkin

    public java.lang.String getSkin()

  Specified by:
    `getSkin` in class `AbstractEditor`

### setSkin

    public void setSkin(java.lang.String skin)

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getToolbar

    public java.lang.String getToolbar()

  Specified by:
    `getToolbar` in class `AbstractEditor`

### setToolbar

    public void setToolbar(java.lang.String toolbar)

### getWidth

    public java.lang.String getWidth()

  Specified by:
    `getWidth` in class `AbstractEditor`

### setWidth

    public void setWidth(java.lang.String width)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.